unit ExEx2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Zahl : Extended;
  Datei: TStringList;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    Zahl := StrToFloat (InputBox ('Zahl eingeben','',''));
    Zahl := 1 / Zahl;
    if Zahl = 1 then Datei.LoadFromFile ('Test.xxx');
    Panel1.Caption := 'Alles ok';
  except
    on EZeroDivide do
      Panel1.Caption := 'Division durch null';
    on EConvertError do
      Panel1.Caption := 'Das ist keine Zahl';
    on EFOpenError do
      Panel1.Caption := 'Datei nicht gefunden';
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Datei := TStringList.Create;
end;

end.
